Bug 113627 - Up2date traceback in checkHeaderForFileConfigExcludes
Up2date traceback in checkHeaderForFileConfigExcludes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 17:27 EST by Aleksey Nogin
Modified: 2007-04-18 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 21:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-01-15 17:27:10 EST
# up2date -l
I/O warning : failed to load external entity
"/usr/share/comps/x86_64/comps.xml"
Damaged or Empty xml file error:
 xmlParseFile() failed

Fetching Obsoletes list for channel: rawhide-x86_64...

Fetching rpm headers...
########################################
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1267, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 797, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1141, in batchRun
    batch.run()
  File "up2dateBatch.py", line 62, in run
  File "up2dateBatch.py", line 108, in __findPackagesToUpdate
  File "packageList.py", line 580, in getPackagesToInstall
  File "packageList.py", line 609, in __skipPackages
  File "packageList.py", line 633, in __skipFiles
  File "rpmUtils.py", line 245, in checkHeaderForFileConfigExcludes
TypeError: len() of unsized object
# rpm -q up2date rpm-python rhnlib rhpl python
up2date-4.3.7-1
rpm-python-4.3-0.7
rhnlib-1.4-10
rhpl-0.122.2-1
python-2.3.3-1
# uname -a
Linux xxx 2.6.0-1.30smp #1 SMP Wed Jan 7 01:43:12 EST 2004 x86_64
x86_64 x86_64 GNU/Linux

Additionally,
 - "up2date -u" also fails, but "up2date -u -f" works.
 - The warning on top is bug 112205 - have been there for a while.
 - Something similar (but for Red Hat Linux 7.3) is reported in bug 76387.
Comment 1 Adrian Likins 2004-01-20 14:43:04 EST
this was/is a bug introduced in the rawhide version of
rpm-python. Should be fixed with current rpm-python,
or with up2date-4.3.8 or higher

Note You need to log in before you can comment on or make changes to this bug.